Subject: Re: [RFC PATCH 1/3] t: import the clar unit testing framework

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 1 Aug 2024 15:37:02 +0200

On Thu, Aug 01, 2024 at 08:54:36AM -0400, [email-masked] wrote:
> On Thursday, August 1, 2024 8:15 AM, I wrote:
> >On Thursday, August 1, 2024 5:32 AM, Patrick Steinhardt wrote:
> >>On Wed, Jul 31, 2024 at 04:04:29PM -0400, [email-masked] wrote:
> >>> On Wednesday, July 31, 2024 2:27 PM, Josh Steadmon wrote:
> >>> >On 2024.07.31 11:04, Patrick Steinhardt wrote:
> >>> >> Import the clar unit testing framework at commit faa8419 (Merge
> >>> >> pull request #93 from clar-test/ethomson/fixtures, 2023-12-14).
> >>> >> The framework will be wired up in subsequent commits.
> >>> >
> >>> >Rather than forking our own copy of clar, could we just add it as a
> >>> submodule
> >>> >instead?
> >>>
> >>> What are the requirements to build/use this?
> >>
> >>In its current form, Python is a dependency due to "generate.py". I
> >mentioned
> >>elsewhere though that I'd be happy to port it to our language of choice.
> >>
> >>Other than that it should only require a C89 compiler.
> >
> >Unfortunately, it needs gcc, but that is just because of its Makefile using
> cc -Wall
> >(not portable).
> 
> It looks like clar needs CC=c99 when running generate.py, which is fine. But
> there is no current way to
> suppress -Wall without hand-modifying clar/test/Makefile. The options like
> that should either be in
> CFLAGS?=... instead of CFLAGS=... or we could introduce CFLAGS_DBG?= and put
> -Wall in there - it is
> only for reporting warnings which is done different in the c99 I have.
> Ideally, the CFLAGS should come
> from ./git/config.mak.uname/

As mentioned in another mail, we do not use its Makefile at all. Did you
check whether the version I have proposed here works when running `make
test`?

Patrick